Package ru.bitel.bgbilling.modules.bill.server.bean

# Class BillManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.AbstractManager
ru.bitel.bgbilling.modules.bill.server.bean.BillManager

public class BillManager extends AbstractManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractManager

  `BILL_ALL, BILL_NEW, BILL_PAYED, contractManager, DT_CREATED, DT_PAYED, moduleSetup, setup, USER_ADMIN, USER_ALL, USER_USER, UT_ALL, UT_NOTUNLOADED, UT_UNLOADED`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addBillDoc(int userId, BillDoc doc, List<PositionValue> posList, List<BillDoc> subList, boolean checkPast)`
  `int`
  `deleteBill(int contractId, int id, boolean admin)`
  `Bill`
  `getBill(int id)`
  `protected BillDoc`
  `getBillDoc(Attributes attributes)`
  `protected BillDoc`
  `getBillDoc(XMLUtils.BGXMLEventReader reader, StartElement element)`
  `List<Bill>`
  `getBillList(BillListFilter billListFilter, boolean getXml, boolean forRegister)`
  `List<Bill>`
  `getBillList(BillListFilter billListFilter, Calendar from, Calendar until, int dateType, int payedType, int userType, int unloadType, String groups, String groupMode, boolean getXml, int type, int addressSortParam, String nameSortParam, int sortMode, int secondarySortMode, boolean forRegister)`
  Deprecated.
  `List<Bill>`
  `getBillList(Page page, int cid)`
  Возвращает список PayBill
  `protected void`
  `publishEvent(int userID, BillDoc billDoc, int billId)`
  `void`
  `setPayed(String ids, int userID, boolean pay, boolean value, Date date, String summComment)`
  `void`
  `updateDocTypeId(List<Integer> documentIds, int documentTypeId)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractManager

  `addBillDoc, addBillDocData, addBillDocs, addBillDocs, addNameCol, addNameJoin, addPackageFilterJoin, addSortMode, addStreetCol, addStreetJoin, delete, delete, delete, getBillDocInfo, getNextNumbers, getXMLData, getXMLData, setBankAccount, setOrganization, updateNumber, updatePositions, updatePositions, updatePositions`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillManager

    public BillManager(Connection con, int moduleId)

- ## Method Details

  - ### getBillList

    public List<Bill> getBillList(BillListFilter billListFilter, boolean getXml, boolean forRegister)

  - ### getBillList

    @Deprecated public List<Bill> getBillList(BillListFilter billListFilter, Calendar from, Calendar until, int dateType, int payedType, int userType, int unloadType, String groups, String groupMode, boolean getXml, int type, int addressSortParam, String nameSortParam, int sortMode, int secondarySortMode, boolean forRegister)
    Deprecated.

  - ### setPayed

    public void setPayed(String ids, int userID, boolean pay, boolean value, Date date, String summComment) throws Exception
    Throws:
      `Exception`

  - ### updateDocTypeId

    public void updateDocTypeId(List<Integer> documentIds, int documentTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getBillList

    public List<Bill> getBillList(Page page, int cid)
    Возвращает список PayBill
    Parameters:
      `cid` - - ContractID
    Returns:

  - ### getBill

    public Bill getBill(int id)

  - ### deleteBill

    public int deleteBill(int contractId, int id, boolean admin)

  - ### addBillDoc

    public int addBillDoc(int userId, BillDoc doc, List<PositionValue> posList, List<BillDoc> subList, boolean checkPast)
    Specified by:
      `addBillDoc` in class `AbstractManager`

  - ### getBillDoc

    protected BillDoc getBillDoc(Attributes attributes) throws Exception
    Specified by:
      `getBillDoc` in class `AbstractManager`
    Throws:
      `Exception`

  - ### getBillDoc

    protected BillDoc getBillDoc(XMLUtils.BGXMLEventReader reader, StartElement element) throws Exception
    Specified by:
      `getBillDoc` in class `AbstractManager`
    Throws:
      `Exception`

  - ### publishEvent

    protected void publishEvent(int userID, BillDoc billDoc, int billId) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `publishEvent` in class `AbstractManager`
    Throws:
      `ru.bitel.bgbilling.common.BGException`